#ifndef _CONTROL_H_
#define _CONTROL_H_

	void CTRL_ControlLoop(void);

	void CTRL_EnableCtrl(void);
	void CTRL_DisableCtrl(void);
	void CTRL_ResetCtrl(void);

	void CTRL_SimpleAttach(signed int * FootVel, signed int * StrokeVel, signed int * WingVel, int phase_vel);
	void CTRL_SimpleDetach(signed int * FootVel, signed int * StrokeVel, signed int * WingVel, int phase_vel);
	void CTRL_SimpleFlight(signed int * FootVel, signed int * StrokeVel, signed int * WingVel, int phase_vel);
	void CTRL_SimpleStance(signed int * FootVel, signed int * StrokeVel, signed int * WingVel, int phase_vel);
	
	void CTRL_SetupGesture(unsigned char leg, unsigned char gesture_index);
	void CTRL_Gesture(unsigned char leg);
	unsigned char CTRL_GestureEOF(unsigned char leg);

	void CTRL_SetFFStanceVel(signed int vel);

#endif
